/// <reference types="react" />
import CommonTabsNav from './CommonTabsNav';
import { IInnerTab } from '../../types';
declare class CardTabsNav<Id extends string | number = string> extends CommonTabsNav<Id> {
    protected typeName: string;
    state: {
        fixedIds: any[];
    };
    get isFixedControlled(): boolean;
    get fixedIds(): any[];
    onFixedChange: (ids: Id[]) => void;
    renderTab(data: IInnerTab<Id>): React.ReactNode;
}
export default CardTabsNav;
